/*
 * Class SPECIAL [POINTER]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1787 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1787 [] = {0xFF01,1551,1786,881,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1787 [] = {0xFF01,1786,881,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1787 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1787 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1787 [] = {0xFF01,1786,881,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1787 [] = {0xFF01,1786,881,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1787 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1787 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1787 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1787 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1787 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1787 [] = {1786,881,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1787 [] = {0xFF01,1786,881,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1787 [] = {0xFF01,1787,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1787 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1787 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1787 [] = {0xFF01,1814,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1787 [] = {0xFF01,1791,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_1787 [] = {0xFF01,1786,881,0xFFFF};
static const EIF_TYPE_INDEX egt_20_1787 [] = {0xFF01,1786,881,0xFFFF};
static const EIF_TYPE_INDEX egt_21_1787 [] = {0xFF01,1786,881,0xFFFF};
static const EIF_TYPE_INDEX egt_22_1787 [] = {0xFF01,1786,881,0xFFFF};
static const EIF_TYPE_INDEX egt_23_1787 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_24_1787 [] = {0xFF01,580,0xFFFF};
static const EIF_TYPE_INDEX egt_25_1787 [] = {0xFF01,914,0xFFFF};


static const struct desc_info desc_1787[] = {
	{EIF_GENERIC(NULL), 15462, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1787), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1787), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1787), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1787), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1787), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1787), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1787), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1787), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1787), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1787), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1787), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1787), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1787), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1787), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1787), 11015, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1787), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15463, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15464, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15465, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1787), 15467, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15468, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 15469, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 15470, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1787), 15471, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1787), 15472, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15474, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15475, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 15478, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 15479, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15481, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15432, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15433, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15434, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15435, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15436, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15437, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15438, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15439, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15440, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15441, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15442, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15443, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15444, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15445, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_1787), 15446, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_1787), 15447, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_1787), 15448, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_1787), 15449, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15450, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15451, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15452, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15453, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15454, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 15455, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 15456, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15457, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15458, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15460, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15461, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_1787), 15466, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_1787), 15473, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 15480, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15476, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15477, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 15480, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_1787), 15459, 0xFFFFFFFF},
};
void Init1787(void)
{
	IDSC(desc_1787, 0, 1786);
	IDSC(desc_1787 + 1, 1, 1786);
	IDSC(desc_1787 + 32, 1088, 1786);
	IDSC(desc_1787 + 34, 2, 1786);
	IDSC(desc_1787 + 77, 1570, 1786);
	IDSC(desc_1787 + 80, 949, 1786);
	IDSC(desc_1787 + 83, 224, 1786);
}


#ifdef __cplusplus
}
#endif
